MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001775ardourfeaturespublic2007-07-18 05:302013-07-14 17:28
Reporteroofus 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusfeedbackResolutionreopened 
PlatformDual 666MHz PIIIOSMandrivaOS Version2007
Product Version2.0 
Target Version3.XFixed in Version3.0 
Summary0001775: The config option "timecode-source-is-synced" from the ardour.rc file should be exposed to the user as a configurable option.
DescriptionThe config option "timecode-source-is-synced" from the ardour.rc file should be exposed to the user as a configurable option.

Vital to be able to set this when chasing MTC. Currently the default is 'yes', I would guess that this doesn't suit most peoples setups. In a setup where the timecode source isn't synced, MTC chase works but drifts, with no indication that this is happening.

As a new feature to extend this, I would like to see 3 clocks.....somewhere. One showing the transport position, one showing the incoming MTC and the third showing the difference between them. It then becomes trivial to see that chasing is happening and happening accurately. Maybe this could be added to the Big Clock.
TagsNo tags attached.
Attached Files

- Relationships
related to 0001631closedx42 When locking to MTC, if the MTC generator and Ardour are not locked to the same ref, they drift apart. 

-  Notes
(0004347)
oofus (developer)
2007-09-07 08:25

Made a better note of how Pyramix handles chasing timecode. It has 4 chase modes; none, hard, soft and vari.

None - Obviouse I think
Hard - Chase the incoming TC but if that TC either 'goes away' or drifts out of time with the timeline, stop the transport.
Soft - Chase the incoming TC but if that TC either 'goes away' or drifts out of time with the timeline, stop chasing the incoming TC, but keep the transport rolling.
Vari - Chase the incoming TC, if it drifts out of time with the timeline vari speed to re-sync.

I quite like these options, apart from none, that's the equivalent of internal.
(0004505)
oofus (developer)
2007-10-25 08:43

The config option "timecode-source-is-synced" from the ardour.rc, is now available as a user configurable option.

The further comments about keeping track of drifting Timecode still stand.
(0015109)
x42 (administrator)
2013-07-14 17:17

fixed with MTC+LTC overhaul in 3.0
(0015110)
x42 (administrator)
2013-07-14 17:28

sync mode is not yet configurable. Each slave currently has appropriate default behaviour (e.g. MTC: hard-sync; LTC: fly-wheel)

- Issue History
Date Modified Username Field Change
2007-07-18 05:30 oofus New Issue
2007-09-05 02:50 oofus Relationship added related to 0001631
2007-09-07 08:25 oofus Note Added: 0004347
2007-10-25 08:43 oofus Note Added: 0004505
2010-07-22 02:45 oofus cost => 0.00
2010-07-22 02:45 oofus Target Version => 3.X
2010-12-31 05:46 oofus Status new => feedback
2013-07-14 17:17 x42 Note Added: 0015109
2013-07-14 17:17 x42 Status feedback => closed
2013-07-14 17:17 x42 Resolution open => fixed
2013-07-14 17:17 x42 Fixed in Version => 3.0
2013-07-14 17:28 x42 Note Added: 0015110
2013-07-14 17:28 x42 Status closed => feedback
2013-07-14 17:28 x42 Resolution fixed => reopened


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker